# Code and data management with Git

This is the website for the course *Code and data management with Git*. This
course consists of a introduction to working with the [Git](http://git-scm.com/)
version control system for data analysis and is aimed primarily at researchers
in the LUMC.

The Git system is widely used by software developers, but can also be used for
project management. In the LUMC we use [GitLab](https://git.lumc.nl) as a
collaborative environment on top of Git. By keeping track of all versions,
history, etc, GitLab makes your projects more reproducible and collaboration
with colleagues easy.


## Course dates

- October 14th, 2013: Git introduction course
- June 23rd, 2014: Git introduction course
- **December 1st, 2015: Code and data management with Git** ([preparations](PREPARATIONS.md))

For corresponding snapshots of this repository, see [tags](https://git.lumc.nl/humgen/gitcourse/tags).


## Using the course materials

There is one [Git submodule](https://git-scm.com/book/en/v2/Git-Tools-Submodules)
on which this repository depends:

- **[presentation](https://git.lumc.nl/j.f.j.laros/presentation)** template for
  presentations in LaTeX.

First clone this repository, then fetch the data from the submodule:

    git clone https://git.lumc.nl/humgen/gitcourse.git
    cd gitcourse
    git submodule init
    git submodule update

A new presentation can be added like this:

    cd presentation
    bash mkpres.sh ../mypresentation